#!/usr/bin/env python2.4
#-*- coding: utf-8 -*-
##########################################################
#               ADQUISITOR DE DATOS v1.0                 #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 03 de agosto de 2006                    #
# Descripción: Fichero de configuración de Adquisión     #
# Versión: 2006080300                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Librerías
import fcntl
# Adquiere los datos pendientes de los SIGNALS
from src.etcbin.adquirir_signals_ftp import *

# Decisión según parámetros de entrada
import sys
if ((len(sys.argv)==2) and (sys.argv[1]=='--silent')):
	debug=False
else:
	debug=True

try:
	# Consigo el candado de bloqueo sobre el fichero
	FILE=open(config.bloqueo(),"w")
	fcntl.flock(FILE.fileno(), fcntl.LOCK_EX|fcntl.LOCK_NB)
	# Descargo los datos de los Telemandos
	for telemando in listado_telemandos:
		# Cambio el debug
		telemando.set_debug(debug)
		try:
			telemando.download()
		except Exception,e:
			print "Error descargando el Telemando %s: %s" % (telemando.internal_id(),e)
	# Devuelvo el control
	FILE.close()
except:
	# No hago nada y salgo
	FILE.close()

