#!/usr/bin/env python2.4
#-*- coding: utf-8 -*-
##########################################################
#                 ACCIONES DE CARGA v1.0                 #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 03 de agosto de 2006                    #
# Descripción: Fichero de configuración de Adquisión     #
# Versión: 2006080300                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Cargo la configuracion por defecto
from src.etcbin.cargador_sql import *
# Cargo la configuracion por defecto
from src.etcbin.senales import *
# Restrinje el listado de snales a solo las que se van a cargar en la BD
s.filter(enBD=True)
# Cargo las señales en el objeto sql
sql.senales(s)


# Argumentos {{{1
# Libreria
import sys
# Argument: silent {{{2
debug=True
last=False
if (((len(sys.argv)==2) or (len(sys.argv)==3)) and (sys.argv[1]=='--silent')):
	debug=False
if ((len(sys.argv)==3) and (sys.argv[2]=='--silent')):
	debug=False
# }}}2
# }}}1

# Debug
sql.set_debug(debug)
# Cargar a la base de datos
sql.load()

