#!/usr/bin/env python
#-*- coding: iso8859-15 -*-
##########################################################
#             ADQUIRIR SIGNALS FTP v1.0                  #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 05 de septiembre de 2006                #
# Descripcin: Fichero de configuracin de adquisin de  #
# ficheros mediante el protocolo FTP para Telemandos con #
# protocolo SIGNALS                                      #
# Versin: 2006122300                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Cargo la configuracion por defecto
from adquirir_signals_ftp_default import *

listado_telemandos=[]

# Autmata de Vlez
t=TELEMANDO("PLCNumero1")
t.config(config,"192.168.x.y","plc1")
listado_telemandos.append(t)

t=TELEMANDO("PLCNumero2")
t.config(config,"192.168.x.y","plc2")
listado_telemandos.append(t)

t=TELEMANDO("Trapiche")
t.config(config,"192.168.x.y","netdata")
t.user("username")
t.passwd("my_secret_password")
listado_telemandos.append(t)

