#!/usr/bin/env python
#-*- coding: iso8859-15 -*-
##########################################################
#                       EMAIL v1.0                       #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 09 de octubre de 2006                   #
# Descripcin: Fichero de configuracin de emails        #
# Versin: 2006100901                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Cargo la configuracion por defecto (primero graficas, despues emails)
from graficas import *
from emails_default import *

# Telemando de la Araa
a=ACTUADOR("Emails")
a.set_debug(True)
a.config(config,graficas)

# Filtro para todas las grficas
operarios=["Maxima","Minimax"]
# Grficas para administradores (pone la ltima al principio)
todasAdmin=["Minima"]+operarios

a.add("Administrador","Administrador","admin@dominio.dom",todasAdmin)
a.add("Operario","Operarios base","operario_base@dominio.dom",operarios)

