#!/usr/bin/env python2.4
#-*- coding: iso8859-15 -*-

# Librerias
from senales import *
from adquirir_momentum import *

# Configuracion
BUFSIZE = 1024
port = 12345
#clave="123456789012345678901234"
clave="esta_es_la_clave_encript"
outputfile="velez.inc.php"
bd_nombre="udp_server.db"

# Conocimiento previo
preknoledge={}
preknoledge["plc1_sa_1"]=(0,4000)
preknoledge["plc1_sa_5"]=(0,3000)
preknoledge["plc1_sa_9"]=(2,12)
preknoledge["plc1_sa_10"]=(0,4000)
preknoledge["plc1_sa_11"]=(0,4000)
preknoledge["plc1_sa_12"]=(0,10)
preknoledge["plc1_sa_13"]=(0,10)
preknoledge["plc1_sa_14"]=(0,600)
preknoledge["plc1_sa_15"]=(0,600)
preknoledge["plc1_sa_16"]=(0,70)

preknoledge["plc1_ea_8"]=(0,100)
preknoledge["plc1_ea_9"]=(0,100)
preknoledge["plc1_ea_10"]=(0,100)
preknoledge["plc1_ea_12"]=(0,100)

preknoledge["plc2_ea_2"]=(0,100)
preknoledge["plc2_ea_1745"]=(0,100)

# Obtiene las senales de los telemandos
senalesPLC1=s.search_tele("VelezPLC1")
senalesPLC2=s.search_tele("VelezPLC2")

# Documentacion desde ADD hasta resultados de la busqueda de senales de un telemando:
# (1,      "A1","VelezPLC1",   "Clasifico", "ed:58",   d,         freq,          momentum)                                     [ADD]
# (idsenal,name,telemando,     descripcion, conector,  tiposenal, frecuencia,    tipotelemando, param1, param2)
# (id,     name,telemando,     descripcion, tiposenal, conector,                 tipotelemando, param1, param2, frecuencia)
# (senalid,name,senaltelemando,descripcion, tiposenal, conector,                 tipotelemando, param1, param2, frecuencia)
# (senalid,name,senaltelemando,descripcion, tiposenal, conector,                 tipotelemando, param1, param2)                [SEARCH_TELE return]

# Conocimientos
knoledge={}
trabajo=[(senalesPLC1,"plc1"),(senalesPLC2,"plc2")]
for tempwork in trabajo:
	# Descompongo el trabajo
	(listasenales,prenombre)=tempwork
	# Proceso la lista de senales
	for elemento in listasenales:
		# Desmonto la tupla
		(senalid,name,senaltelemando,descripcion,tiposenal,conector,tipotelemando,param1,param2)=elemento
		# Desmonto el conector
		(interfaz,posmem)=conector.split(":")
		# Genero el indice
		indice="%s_%s_%s" % (prenombre,interfaz,posmem)
		# Obtengo el nombre
		nombre=descripcion
		# Obtengo la dimensionalidad de la senal
		if (indice in preknoledge):
			dimension=preknoledge[indice]
		else:
			dimension=()
		# Tipo
		tipo=tiposenal
		# Lo guarda en knoledge
		knoledge[indice]=(nombre,dimension,tipo)

# Conocimientos
# Borra las antiguas cada 60 ciclos (equivale a 5 minutos si la frecuencia es de 5 segundos) -> Lo estimo según el numero de señales declaradas
borrar_antiguos=60*len(knoledge)

# ACL
acl=[]
acl.append("127.0.0.1")

