#!/usr/bin/env python
#-*- coding: iso8859-15 -*-
##########################################################
#                ADQUIRIR MOMENTUM v1.0                  #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 02 de agosto de 2006                    #
# Descripcin: Configurador de Grafista                  #
# Versin: 2006121400                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Libreria de Telemandos configurados aqui
from src.telemandos.MOMENTUM import CONFIG,TELEMANDO

# Genero la configuracion base
config=CONFIG()

# Debug
config.set_debug(True)	# Debug de la clase hija

# Detalles de los Telemandos
config.port(502)		# Indica que por defecto se usa el modbus bajo TCP con el puerto indicado
config.vpp(10)			# Maximo nmero de valores permitidos por paquete TCP

# Logueo
config.dirlog(["src/tmp/log/dat/"])
config.cabecera_log("momentum")

# La ejecuccin normal (con trfico normal de red equivale a aproximadamente: 0.615385 * 1 segundo)
# Configuracin de espera (65 ciclos con espera de 4 segundos equivale a aproximadamente 5 minutos con trfico normal en Jess-Trapiche-Vlez)
veces=10 # Veces a ejecutar antes de enviar la linea al fichero - (20 veces)
dormir=3 # Tiempo de sueo entre ejecucion y ejecuccion (segundos) - (4s para 1 Telemando, 3s para 2 Telemandos)

# Definicin de los tipos
typebit="bit"
typeint="int"
typereal="float"
typefloat="float"

# Cada Telemando ejecuta este mismo chequeo por seguridad al cargar
# la config por defecto (no obstante me parece mas correcto hacer un chequeo previo)
config.check()

# Inicalizacion de datos
listado_telemandos=[]
