#!/usr/bin/env python
#-*- coding: iso8859-15 -*-
##########################################################
#                 ADQUIRIR PESYR v1.0                    #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 19 de julio de 2006                     #
# Descripcin: Fichero de configuracin de Adquisin de  #
# datos para Telemandos de PESYR                         #
# Versin: 2006071901                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Cargo la configuracion por defecto
from adquirir_pesyr_default import *

listado_telemandos=[]

# Telemando de la Araa
t=TELEMANDO("CPArana")
t.config(config,"Numero_Serie_Telamando_Ejemplo_IB50028","Caudalimetro de la Arana","Telefono_Telemando_654653652","Codigo_PIN_Telemando_1111")
listado_telemandos.append(t)

# Telemando de Barranco Plano
t=TELEMANDO("CPBarrancoPlano")
t.config(config,"Numero_Serie_Telemando_Ejemplo_IB50045","C.P. Barranco Plano","Telefono_Telemando_654651650","Codigo_PIN_Telemando_1112")
listado_telemandos.append(t)

