#!/usr/bin/env python
#-*- coding: iso8859-15 -*-
##########################################################
#                  ADQUIRIR WEB v1.0                     #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 15 de febrero de 2007                   #
# Descripcin: Configurador de adquisicion de datos      #
# Versin: 2007021500                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Libreria de Telemandos configurados aqui
from src.telemandos.WEB import CONFIG,TELEMANDO

# Genero la configuracion base
config=CONFIG()

# Debug
config.set_debug(True)	# Debug de la clase hija

# Detalles de los Telemandos
config.download_tempo(60*60*24)		# Descargar registros cada 24 horas

# Destino de los ficheros temporales
config.dirtemp("src/tmp/reg/")
# Memoria interna
#config.memoria("src/tmp/memory/adquirir_web.dat")

# Logueo
config.dirlog(["src/tmp/log/dat/"])
config.cabecera_log("adquirir_web")

# Cada Telemando ejecuta este mismo chequeo por seguridad al cargar
# la config por defecto (no obstante me parece mas correcto hacer un chequeo previo)
config.check()
