#!/usr/bin/env python
#-*- coding: iso8859-15 -*-
##########################################################
#                      EMAIL v1.0                        #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 09 de octubre de 2006                   #
# Descripcin: Configurador de Grafista                  #
# Versin: 2006100900                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Libreria del actuador
from src.actuadores.OUT_EMAIL import CONFIG,ACTUADOR

# Genero la configuracion base
config=CONFIG()

# Debug
config.set_debug(True)	# Debug de la clase hija

# Detalles del servidor de email
config.host("localhost")
config.port(25)
config.user("user@emailserver.dom")
config.passwd("password")

# Detalles del envo
config.source("Likindoy <likindoy@dominio.dom>")
config.subject("[Likindoy] Graficas del %semanaayer %fechatextoayer.")
config.subject_temp("[Temp Likindoy] Graficas del %semanaayer %fechatextoayer.")
config.firma("Likindoy (likindoy@dominio.dom\nSistema Scada libre")

# Directorios de grficas
config.dirgraph("src/tmp/dib/dib/")
# Memoria de la clase
config.memoria("src/tmp/memory/actuador_emails.dat")

# Logueo
config.dirlog(["src/tmp/log/dat/"])
config.cabecera_log("email")

# Cada Actuador ejecuta este mismo chequeo por seguridad al cargar
# la config por defecto (no obstante me parece mas correcto hacer un chequeo previo)
config.check()
