#!/usr/bin/env python
#-*- coding: iso8859-15 -*-
##########################################################
#                  CONFIG SQL v1.0                       #
##########################################################
# Autor: Juan Miguel Taboada Godoy                       #
# Fecha: Malaga, 07 de agosto de 2006                    #
# Descripcin: Configurador de Grafista                  #
# Versin: 2006080700                                    #
#                                                        #
# Codigo fuente bajo licencia GNU/GPL                    #
# Centrologic (Computational Logistic Center)            #
# http://www.centrologic.com - info@centrologic.com      #
##########################################################

# Libreria del Cargador
from src.graficas.IN_DB_MYSQL import CONFIG,LECTOR

# Genero la configuracion base
config=CONFIG()

# Debug
config.set_debug(True)	# Debug de la clase hija

# Detalles del cargador
config.host("localhost")# SQL: Host
config.port(3306)		# SQL: Puerto
config.socket("auto")	# SQL: Socket
config.user("likindoy")
config.passwd("likindoyclave")
config.db("likindoy_test")
config.table("datos")

# Logueo
config.dirlog(["src/tmp/log/dat/"])
config.cabecera_log("graficas_mysql")

# Cada Telemando ejecuta este mismo chequeo por seguridad al cargar
# la config por defecto (no obstante me parece mas correcto hacer un chequeo previo)
config.check()

# Creo el objeto lector
lector=LECTOR()
lector.set_debug(False)		# Quitamos el DEBUG de la clase de SQL
lector.config(config)
lector.connect()
